/*
 *
 *  main.js
 *  Version 1.00 2021
 *  Global definitions and common utilities
 *                                                       ____________
 *  Copyright (C) 1998-2021 D&D Corporation.             \          /
 *  All rights reserved.                                  \________/
 *  Sergey Lepenkov (Serż Minus), http://www.serzik.com    \      /
 *                                                          \____/
 *  Licensed under Apache License 2.0:                       \  /
 *   https://www.apache.org/licenses/LICENSE-2.0              \/
 *
 *  Copyright 2021 Serż Minus (Sergey Lepenkov)
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
*/

$(document).ready(function(){
    /* Tooltips */
    $( ".tooltip" ).tooltip();
    $('[data-toggle="tooltip"]').tooltip();
    $('[data-bs-toggle="tooltip"]').tooltip();

    $('.lightzoom').lightzoom({
        viewTitle: true,
        titleColor: "black",
        isOverlayClickClosing: true,
        isWindowClickClosing: true,
        isEscClosing: true,
    });
});

/* __END__ */
